# This file created by conda-build 3.7.1
# ------------------------------------------------

package:
    name: py-xgboost
    version: '0.7'
source:
    git_rev: 98be9aef9aab76ca8e1ca6c250c565dcdbcb7be0
    git_url: https://github.com/dmlc/xgboost
    patches:
        - 0001-Do-not-define-fopen64-as-std-fopen-on-32-bit-mingw-w.patch
        - 0001-conda-Unbundle-libxgboost.-dll-dylib-so.patch
        - 0002-Fix-R-package-PKGROOT.patch
        - 0003-Fix-R-package-mingw-w64-compiler-flags-remove-m64.patch
        - 0004-Fix-configure-check-for-OpenMP-on-macOS.patch
        - 0005-Add-ADD_-FLAGS-to-end-of-commandlines.patch
build:
    noarch: false
    script: install-py-xgboost.sh
    string: py35hf484d3e_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 25
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 25
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 25
        - libstdcxx-ng 7.2.0 hdf63c60_3
    host:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2018.1.18 py35_0
        - libedit 3.1 heed3624_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - ncurses 6.0 h9df7e31_2
        - openssl 1.0.2n hb7f436b_0
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python
        - python 3.5.5 hc3d631a_1
        - readline 7.0 ha6073c6_4
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools
        - setuptools 38.5.1 py35_0
        - sqlite 3.22.0 h1bed415_0
        - tk 8.6.7 hc745277_3
        - xz 5.2.3 h55aa19d_2
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - libxgboost 0.7 hf484d3e_0
        - libxgboost 0.7 hf484d3e_0
        - numpy
        - numpy
        - python
        - python >=3.5,<3.6.0a0
        - scikit-learn
        - scikit-learn
        - scipy
        - scipy
test:
    script: test-py-xgboost.py
extra:
    copy_test_source_files: true
    final: true
    parent_recipe:
        name: xgboost
        path: /tmp/build/80754af9/rsync-recipes/xgboost-0.7-on-linux_64
        version: '0.7'
